package body MSHTML.HTMLMarqueeElementEvents_Events is

   procedure Invoke
     (dispidMember : in Interfaces.C.long;
      wFlags       : in Interfaces.C.unsigned_short;
      pdispparams  : in GNATCOM.Types.Pointer_To_DISPPARAMS;
      Event_Object : in GNATCOM.Events.Event_Object.Event_Pointer)
   is
      use type Interfaces.C.long;
   begin
      case dispidMember is
         when HTMLMarqueeElementEvents_onhelp=>
            onhelp
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onclick=>
            onclick
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_ondblclick=>
            ondblclick
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onkeypress=>
            onkeypress
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onkeydown=>
            onkeydown
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onkeyup=>
            onkeyup
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onmouseout=>
            onmouseout
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onmouseover=>
            onmouseover
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onmousemove=>
            onmousemove
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onmousedown=>
            onmousedown
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onmouseup=>
            onmouseup
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onselectstart=>
            onselectstart
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onfilterchange=>
            onfilterchange
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_ondragstart=>
            ondragstart
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onbeforeupdate=>
            onbeforeupdate
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onafterupdate=>
            onafterupdate
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onerrorupdate=>
            onerrorupdate
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onrowexit=>
            onrowexit
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onrowenter=>
            onrowenter
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_ondatasetchanged=>
            ondatasetchanged
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_ondataavailable=>
            ondataavailable
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_ondatasetcomplete=>
            ondatasetcomplete
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onlosecapture=>
            onlosecapture
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onpropertychange=>
            onpropertychange
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onscroll=>
            onscroll
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onfocus=>
            onfocus
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onblur=>
            onblur
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onresize=>
            onresize
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_ondrag=>
            ondrag
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_ondragend=>
            ondragend
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_ondragenter=>
            ondragenter
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_ondragover=>
            ondragover
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_ondragleave=>
            ondragleave
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_ondrop=>
            ondrop
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onbeforecut=>
            onbeforecut
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_oncut=>
            oncut
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onbeforecopy=>
            onbeforecopy
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_oncopy=>
            oncopy
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onbeforepaste=>
            onbeforepaste
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onpaste=>
            onpaste
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_oncontextmenu=>
            oncontextmenu
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onrowsdelete=>
            onrowsdelete
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onrowsinserted=>
            onrowsinserted
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_oncellchange=>
            oncellchange
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onreadystatechange=>
            onreadystatechange
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onbeforeeditfocus=>
            onbeforeeditfocus
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onlayoutcomplete=>
            onlayoutcomplete
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onpage=>
            onpage
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onbeforedeactivate=>
            onbeforedeactivate
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onbeforeactivate=>
            onbeforeactivate
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onmove=>
            onmove
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_oncontrolselect=>
            oncontrolselect
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onmovestart=>
            onmovestart
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onmoveend=>
            onmoveend
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onresizestart=>
            onresizestart
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onresizeend=>
            onresizeend
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onmouseenter=>
            onmouseenter
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onmouseleave=>
            onmouseleave
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onmousewheel=>
            onmousewheel
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onactivate=>
            onactivate
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_ondeactivate=>
            ondeactivate
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onfocusin=>
            onfocusin
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onfocusout=>
            onfocusout
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onchange=>
            onchange
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onselect=>
            onselect
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onbounce=>
            onbounce
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onfinish=>
            onfinish
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when HTMLMarqueeElementEvents_onstart=>
            onstart
              (HTMLMarqueeElementEvents_Event'Class (Event_Object.all));
         when others =>
            null;
      end case;
   end Invoke;

   function Create (From : in GNATCOM.Events.Event_Object.Event_Pointer)
     return GNATCOM.Create.COM_Interface.Pointer_To_COM_Interface_Type
   is
   begin
      return GNATCOM.Events.Event_Object.Create
        (Invoke'Access,
         IID_HTMLMarqueeElementEvents,
         From);
   end Create;

   procedure Set_Events
     (This            : in out GNATCOM.Events.IConnectionPoint_Type;
      For_Object      : in     GNATCOM.IInterface.Interface_Type'Class;
      Event_Interface :
        access GNATCOM.Create.COM_Interface.COM_Interface_Type;
      Free            : Boolean := True)
   is
   begin
      GNATCOM.Events.Set_Events
        (This,
         For_Object,
         IID_HTMLMarqueeElementEvents,
         Event_Interface,
         Free);
   end Set_Events;

   procedure onhelp
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onhelp;

   procedure onclick
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onclick;

   procedure ondblclick
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end ondblclick;

   procedure onkeypress
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onkeypress;

   procedure onkeydown
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onkeydown;

   procedure onkeyup
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onkeyup;

   procedure onmouseout
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onmouseout;

   procedure onmouseover
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onmouseover;

   procedure onmousemove
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onmousemove;

   procedure onmousedown
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onmousedown;

   procedure onmouseup
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onmouseup;

   procedure onselectstart
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onselectstart;

   procedure onfilterchange
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onfilterchange;

   procedure ondragstart
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end ondragstart;

   procedure onbeforeupdate
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onbeforeupdate;

   procedure onafterupdate
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onafterupdate;

   procedure onerrorupdate
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onerrorupdate;

   procedure onrowexit
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onrowexit;

   procedure onrowenter
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onrowenter;

   procedure ondatasetchanged
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end ondatasetchanged;

   procedure ondataavailable
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end ondataavailable;

   procedure ondatasetcomplete
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end ondatasetcomplete;

   procedure onlosecapture
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onlosecapture;

   procedure onpropertychange
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onpropertychange;

   procedure onscroll
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onscroll;

   procedure onfocus
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onfocus;

   procedure onblur
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onblur;

   procedure onresize
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onresize;

   procedure ondrag
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end ondrag;

   procedure ondragend
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end ondragend;

   procedure ondragenter
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end ondragenter;

   procedure ondragover
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end ondragover;

   procedure ondragleave
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end ondragleave;

   procedure ondrop
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end ondrop;

   procedure onbeforecut
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onbeforecut;

   procedure oncut
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end oncut;

   procedure onbeforecopy
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onbeforecopy;

   procedure oncopy
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end oncopy;

   procedure onbeforepaste
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onbeforepaste;

   procedure onpaste
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onpaste;

   procedure oncontextmenu
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end oncontextmenu;

   procedure onrowsdelete
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onrowsdelete;

   procedure onrowsinserted
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onrowsinserted;

   procedure oncellchange
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end oncellchange;

   procedure onreadystatechange
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onreadystatechange;

   procedure onbeforeeditfocus
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onbeforeeditfocus;

   procedure onlayoutcomplete
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onlayoutcomplete;

   procedure onpage
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onpage;

   procedure onbeforedeactivate
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onbeforedeactivate;

   procedure onbeforeactivate
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onbeforeactivate;

   procedure onmove
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onmove;

   procedure oncontrolselect
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end oncontrolselect;

   procedure onmovestart
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onmovestart;

   procedure onmoveend
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onmoveend;

   procedure onresizestart
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onresizestart;

   procedure onresizeend
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onresizeend;

   procedure onmouseenter
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onmouseenter;

   procedure onmouseleave
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onmouseleave;

   procedure onmousewheel
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onmousewheel;

   procedure onactivate
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onactivate;

   procedure ondeactivate
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end ondeactivate;

   procedure onfocusin
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onfocusin;

   procedure onfocusout
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onfocusout;

   procedure onchange
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onchange;

   procedure onselect
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onselect;

   procedure onbounce
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onbounce;

   procedure onfinish
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onfinish;

   procedure onstart
     (This : HTMLMarqueeElementEvents_Event)
   is
   begin
      null;
   end onstart;

end MSHTML.HTMLMarqueeElementEvents_Events;

